Katello - Bug #6801

Content search needs search tips to return.
07/28/2014 01:55 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1112314 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/449
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1112314
Description of problem:
We need to assure there is some sort of help to let user better understand search syntax.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140619.0

How reproducible:

Steps to Reproduce:

1. Sync a full RHEL tree.

2. Go to content search and search for errata. search for 'RHSA*'; observe results.

3. Search for a package name using something like 'kernel*'; observe results

Actual results:

The latter returns no results. This is arguably the correct behavior but the user doesn't immediately know to use a qualifier to search
for something other than id.

title:*kernel* works.

Expected results:
Help text explaining proper search syntax.

Additional info:

Associated revisions

Revision 90480bc3 - 07/28/2014 01:59 PM - Eric Helms
Fixes #6801: Make tipsy's on content search page visible again.
The tipsy's on content search were lost at some point due to missing

fonts or CSS declarations. This changes those over to FontAwesome
which is used more widely throughout the application.

Revision eb58805b - 07/29/2014 06:23 PM - Eric Helms
Merge pull request #4491 from ehelms/fixes-6801

Fixes #6801: Make tipsy's on content search page visible again.

History

#1 - 07/28/2014 02:21 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Target version set to 54
https://bugzilla.redhat.com/show_bug.cgi?id=1112314

- Pull request https://github.com/Katello/katello/pull/4491 added
- Pull request deleted ()

#2 - 07/29/2014 07:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|90480bc39655fed0b168531¢c65b99458e7d4dbab.

#3 - 08/01/2014 08:06 AM - Eric Helms
- Triaged changed from No to Yes

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
